package cn.timer.api.controller.admin;

import cn.timer.api.bean.admin.AdminMsgTemplate;
import cn.timer.api.bean.yggl.YgglMainEmp;
import cn.timer.api.config.annotation.CurrentUser;
import cn.timer.api.config.annotation.UserBean;
import cn.timer.api.dao.admin.AdminMsgTemplateMapper;
import cn.timer.api.dto.admin.AdminMsgTemplateDto;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.transaction.Transactional;
import java.util.List;

@Api(tags = "消息模板管理")
@RestController
@Transactional
@RequestMapping(value = "/msg")
public class AdminMsgTemplateController {

    @Resource
    private AdminMsgTemplateMapper msgTemplateMapper;

    @PostMapping("/listMsgTemplate")
    @ApiOperation(value = "列出消息模板", httpMethod = "POST", notes = "接口发布说明")
    public Result<Object> listMsgTemplate(@CurrentUser UserBean userBean, @RequestBody AdminMsgTemplateDto dto) {
        dto.setOrgCode(userBean.getOrgCode());
        List<AdminMsgTemplate> list =  msgTemplateMapper.listMsgTemplate(dto);
        return ResultUtil.data(list);
    }
}
